{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.gnome;
in mkIf cfg.enable {
  home.packages =
  with pkgs;
  with gnome;
  with gnomeExtensions; [
    # gtk3 theme
    adw-gtk3

    # gnomeExtensions
    caffeine
    dash-to-panel
    dash-to-dock
    appindicator
    privacy-settings-menu
  ];

  catppuccin.enable = mkForce false;
  home.pointerCursor = mkForce null;
  gtk.enable = false;

  home.persistence."/nix/persist/home/${config.home.username}" = {
    removePrefixDirectory = true;
    files = [
      (if config.specialisation != {} then "gnome/.config/monitors.xml" else "extern/.config/monitors.xml")
    ];
  };
}
